{% extends "base.html" %}

{% block title %}{{ benevole }} - Notes de frais{% endblock %}

{% block breadcrumb %}
<li class="breadcrumb-item"><a href="{% url 'home' %}">Accueil</a></li>
<li class="breadcrumb-item"><a href="{% url 'benevoles' current_app %}">Bénévoles</a></li>
<li class="breadcrumb-item active" aria-current="page">{{ benevole }}</li>
{% endblock %}

{% block content %}
    <h2>Notes de frais pour {{ benevole }}</h2>
    
    <div class="row mt-2 mb-2">
      <div class="col-12 col-md-9">
        {% include 'benevole/benevole_tabs.html' with active='notesfrais' %}
      </div>
    </div>

    <table class="table">
      <thead>
        <tr>
          <th scope="col" class="quand">Mois</th>
          <th scope="col" class="qui">Service</th>
          <th scope="col">Frais</th>
          <th scope="col">Total TTC</th>
          {% if trans_url %}<th scope="col">Transmise à la compta</th>{% endif %}
        </tr>
      </thead>
      <tbody>
        {% for note in object_list %}
        <tr>
          <td>{{ note.mois|date:'m.Y' }}</th>
          <td>{{ note.service }}</td>
          <td>{% for ligne in note.lignes.all %}
            <div>{{ ligne.libelle.libelle }}, {{ ligne.quantite }} * {{ ligne.montant_unit|monetize }}</div>
          {% endfor %}</td>
          <td></td>
          {% if trans_url %}
          <td>{% if note.date_export %}{{ fact.date_export|date:'d.m.Y' }}
              {% else %}
                Non
                <form method="post" action="{{ trans_url }}" class="inline unmonitor">{% csrf_token %}
                    <input type="hidden" name="note_id" value="{{ note.pk }}">
                    <button class="btn btn-primary long-op" type="submit">Transmettre</button>
                </form>
              {% endif %}
          </td>
          {% endif %}
        </tr>
        {% endfor %}
      </tbody>
    </table>

    {% include 'pagination.html' %}
{% endblock %}
